<?php
/**
 * Banner Section
 *
 * @package Newsbreeze
 */

$wp_customize->add_section(
	'newsbreeze_banner_section',
	array(
		'panel' => 'newsbreeze_front_page_options',
		'title' => esc_html__( 'Banner Section', 'newsbreeze' ),
	)
);

// Banner Section - Enable Section.
$wp_customize->add_setting(
	'newsbreeze_enable_banner_section',
	array(
		'default'           => false,
		'sanitize_callback' => 'newsbreeze_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Newsbreeze_Toggle_Switch_Custom_Control(
		$wp_customize,
		'newsbreeze_enable_banner_section',
		array(
			'label'    => esc_html__( 'Enable Banner Section', 'newsbreeze' ),
			'section'  => 'newsbreeze_banner_section',
			'settings' => 'newsbreeze_enable_banner_section',
		)
	)
);

if ( isset( $wp_customize->selective_refresh ) ) {
	$wp_customize->selective_refresh->add_partial(
		'newsbreeze_enable_banner_section',
		array(
			'selector' => '#newsbreeze_banner_section .section-link',
			'settings' => 'newsbreeze_enable_banner_section',
		)
	);
}

// Trending Posts Section - Section Title.
$wp_customize->add_setting(
	'newsbreeze_trending_posts_title',
	array(
		'default'           => __( 'Trending Posts', 'newsbreeze' ),
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'newsbreeze_trending_posts_title',
	array(
		'label'           => esc_html__( 'Trending Posts Section Title', 'newsbreeze' ),
		'section'         => 'newsbreeze_banner_section',
		'settings'        => 'newsbreeze_trending_posts_title',
		'type'            => 'text',
		'active_callback' => 'newsbreeze_is_banner_section_enabled',
	)
);

// Trending Section - Content Type.
$wp_customize->add_setting(
	'newsbreeze_trending_posts_content_type',
	array(
		'default'           => 'post',
		'sanitize_callback' => 'newsbreeze_sanitize_select',
	)
);

$wp_customize->add_control(
	'newsbreeze_trending_posts_content_type',
	array(
		'label'           => esc_html__( 'Select Trending Content Type', 'newsbreeze' ),
		'section'         => 'newsbreeze_banner_section',
		'settings'        => 'newsbreeze_trending_posts_content_type',
		'type'            => 'select',
		'active_callback' => 'newsbreeze_is_banner_section_enabled',
		'choices'         => array(
			'post'     => esc_html__( 'Post', 'newsbreeze' ),
			'category' => esc_html__( 'Category', 'newsbreeze' ),
		),
	)
);

for ( $i = 1; $i <= 5; $i++ ) {
	// Trending Section - Select Post.
	$wp_customize->add_setting(
		'newsbreeze_trending_posts_content_post_' . $i,
		array(
			'sanitize_callback' => 'absint',
		)
	);

	$wp_customize->add_control(
		'newsbreeze_trending_posts_content_post_' . $i,
		array(
			'label'           => sprintf( esc_html__( 'Select Post %d', 'newsbreeze' ), $i ),
			'section'         => 'newsbreeze_banner_section',
			'settings'        => 'newsbreeze_trending_posts_content_post_' . $i,
			'active_callback' => 'newsbreeze_is_trending_posts_section_and_content_type_post_enabled',
			'type'            => 'select',
			'choices'         => newsbreeze_get_post_choices(),
		)
	);

}

// Trending Section - Select Category.
$wp_customize->add_setting(
	'newsbreeze_trending_posts_content_category',
	array(
		'sanitize_callback' => 'newsbreeze_sanitize_select',
	)
);

$wp_customize->add_control(
	'newsbreeze_trending_posts_content_category',
	array(
		'label'           => esc_html__( 'Select Category', 'newsbreeze' ),
		'section'         => 'newsbreeze_banner_section',
		'settings'        => 'newsbreeze_trending_posts_content_category',
		'active_callback' => 'newsbreeze_is_trending_posts_section_and_content_type_category_enabled',
		'type'            => 'select',
		'choices'         => newsbreeze_get_post_cat_choices(),
	)
);

// Banner Section - Horizontal Line.
$wp_customize->add_setting(
	'newsbreeze_trending_posts_horizontal_line',
	array(
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	new Newsbreeze_Customize_Horizontal_Line(
		$wp_customize,
		'newsbreeze_trending_posts_horizontal_line',
		array(
			'section'         => 'newsbreeze_banner_section',
			'settings'        => 'newsbreeze_trending_posts_horizontal_line',
			'active_callback' => 'newsbreeze_is_banner_section_enabled',
			'type'            => 'hr',
		)
	)
);

// Banner Section - Section Title.
$wp_customize->add_setting(
	'newsbreeze_main_news_title',
	array(
		'default'           => __( 'Main News', 'newsbreeze' ),
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'newsbreeze_main_news_title',
	array(
		'label'           => esc_html__( 'Main News Section Title', 'newsbreeze' ),
		'section'         => 'newsbreeze_banner_section',
		'settings'        => 'newsbreeze_main_news_title',
		'type'            => 'text',
		'active_callback' => 'newsbreeze_is_banner_section_enabled',
	)
);

// Banner Section - Main News Content Type.
$wp_customize->add_setting(
	'newsbreeze_main_news_content_type',
	array(
		'default'           => 'post',
		'sanitize_callback' => 'newsbreeze_sanitize_select',
	)
);

$wp_customize->add_control(
	'newsbreeze_main_news_content_type',
	array(
		'label'           => esc_html__( 'Select Main News Content Type', 'newsbreeze' ),
		'section'         => 'newsbreeze_banner_section',
		'settings'        => 'newsbreeze_main_news_content_type',
		'type'            => 'select',
		'active_callback' => 'newsbreeze_is_banner_section_enabled',
		'choices'         => array(
			'post'     => esc_html__( 'Post', 'newsbreeze' ),
			'category' => esc_html__( 'Category', 'newsbreeze' ),
		),
	)
);

for ( $i = 1; $i <= 3; $i++ ) {
	// Banner Section - Select Post.
	$wp_customize->add_setting(
		'newsbreeze_main_news_content_post_' . $i,
		array(
			'sanitize_callback' => 'absint',
		)
	);

	$wp_customize->add_control(
		'newsbreeze_main_news_content_post_' . $i,
		array(
			'label'           => sprintf( esc_html__( 'Select Post %d', 'newsbreeze' ), $i ),
			'section'         => 'newsbreeze_banner_section',
			'settings'        => 'newsbreeze_main_news_content_post_' . $i,
			'active_callback' => 'newsbreeze_is_banner_section_and_content_type_post_enabled',
			'type'            => 'select',
			'choices'         => newsbreeze_get_post_choices(),
		)
	);

}

// Banner Section - Select Category.
$wp_customize->add_setting(
	'newsbreeze_main_news_content_category',
	array(
		'sanitize_callback' => 'newsbreeze_sanitize_select',
	)
);

$wp_customize->add_control(
	'newsbreeze_main_news_content_category',
	array(
		'label'           => esc_html__( 'Select Category', 'newsbreeze' ),
		'section'         => 'newsbreeze_banner_section',
		'settings'        => 'newsbreeze_main_news_content_category',
		'active_callback' => 'newsbreeze_is_banner_section_and_content_type_category_enabled',
		'type'            => 'select',
		'choices'         => newsbreeze_get_post_cat_choices(),
	)
);

// Banner Section - Horizontal Line.
$wp_customize->add_setting(
	'newsbreeze_main_news_horizontal_line',
	array(
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	new Newsbreeze_Customize_Horizontal_Line(
		$wp_customize,
		'newsbreeze_main_news_horizontal_line',
		array(
			'section'         => 'newsbreeze_banner_section',
			'settings'        => 'newsbreeze_main_news_horizontal_line',
			'active_callback' => 'newsbreeze_is_banner_section_enabled',
			'type'            => 'hr',
		)
	)
);

// Editor Pick Section - Section Title.
$wp_customize->add_setting(
	'newsbreeze_editor_pick_title',
	array(
		'default'           => __( 'Editor Pick', 'newsbreeze' ),
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'newsbreeze_editor_pick_title',
	array(
		'label'           => esc_html__( 'Editor Pick Section Title', 'newsbreeze' ),
		'section'         => 'newsbreeze_banner_section',
		'settings'        => 'newsbreeze_editor_pick_title',
		'type'            => 'text',
		'active_callback' => 'newsbreeze_is_banner_section_enabled',
	)
);

// Editor Pick Section - Content Type.
$wp_customize->add_setting(
	'newsbreeze_editor_pick_content_type',
	array(
		'default'           => 'post',
		'sanitize_callback' => 'newsbreeze_sanitize_select',
	)
);

$wp_customize->add_control(
	'newsbreeze_editor_pick_content_type',
	array(
		'label'           => esc_html__( 'Select Editor Pick Content Type', 'newsbreeze' ),
		'section'         => 'newsbreeze_banner_section',
		'settings'        => 'newsbreeze_editor_pick_content_type',
		'type'            => 'select',
		'active_callback' => 'newsbreeze_is_banner_section_enabled',
		'choices'         => array(
			'post'     => esc_html__( 'Post', 'newsbreeze' ),
			'category' => esc_html__( 'Category', 'newsbreeze' ),
		),
	)
);

for ( $i = 1; $i <= 5; $i++ ) {
	// Editor Pick Section - Select Post.
	$wp_customize->add_setting(
		'newsbreeze_editor_pick_content_post_' . $i,
		array(
			'sanitize_callback' => 'absint',
		)
	);

	$wp_customize->add_control(
		'newsbreeze_editor_pick_content_post_' . $i,
		array(
			'label'           => sprintf( esc_html__( 'Select Post %d', 'newsbreeze' ), $i ),
			'section'         => 'newsbreeze_banner_section',
			'settings'        => 'newsbreeze_editor_pick_content_post_' . $i,
			'active_callback' => 'newsbreeze_is_editor_pick_section_and_content_type_post_enabled',
			'type'            => 'select',
			'choices'         => newsbreeze_get_post_choices(),
		)
	);

}

// Editor Pick Section - Select Category.
$wp_customize->add_setting(
	'newsbreeze_editor_pick_content_category',
	array(
		'sanitize_callback' => 'newsbreeze_sanitize_select',
	)
);

$wp_customize->add_control(
	'newsbreeze_editor_pick_content_category',
	array(
		'label'           => esc_html__( 'Select Category', 'newsbreeze' ),
		'section'         => 'newsbreeze_banner_section',
		'settings'        => 'newsbreeze_editor_pick_content_category',
		'active_callback' => 'newsbreeze_is_editor_pick_section_and_content_type_category_enabled',
		'type'            => 'select',
		'choices'         => newsbreeze_get_post_cat_choices(),
	)
);
